import { getWidgetSettings as publicGetWidgetSettings, setWidgetSettings as publicSetWidgetSettings } from './innovation-widget-v1-widget-settings-widget-settings.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
export declare const getWidgetSettings: MaybeContext<BuildRESTFunction<typeof publicGetWidgetSettings> & typeof publicGetWidgetSettings>;
export declare const setWidgetSettings: MaybeContext<BuildRESTFunction<typeof publicSetWidgetSettings> & typeof publicSetWidgetSettings>;
export { OfflineBehavior } from './innovation-widget-v1-widget-settings-widget-settings.universal.js';
export { WidgetSettings, IntroMessage, SettingsMessage, ContactForm, Conditions, Fields, ActiveHours, Schedule, DaySchedule, WorkingHoursFrame, ExtendedFields, GetWidgetSettingsRequest, GetWidgetSettingsResponse, SetWidgetSettingsRequest, SetWidgetSettingsResponse, GetWidgetSettingsResponseNonNullableFields, SetWidgetSettingsResponseNonNullableFields, } from './innovation-widget-v1-widget-settings-widget-settings.universal.js';
